https://cloud.mongodb.com
The MongoDB Atlas Administration API allows developers to manage all components in MongoDB Atlas.
The Atlas Administration API supports OAuth2 Service Accounts and HTTP Digest-based API keys. Service accounts are the recommended authentication method and API keys are considered a legacy option.
To authenticate with a Service Account, first exchange its client ID and secret for an access token using the OAuth 2.0 Client Credentials flow. Atlas provides a token endpoint at POST https://cloud.mongodb.com/api/oauth/token, which returns a Bearer token that is reusable and valid for 1 hour (3600 seconds).
For example, to return a list of your organizations with cURL, first generate an access token and then use that token to call the same Atlas Administration API endpoint shown in the current example:
ACCESS_TOKEN=$(curl -fsS --request POST https://cloud.mongodb.com/api/oauth/token \
--header "Authorization: Basic $(printf '%s' "${CLIENT_ID}:${CLIENT_SECRET}" | base64 | tr -d '\n')" \
--header "Content-Type: application/x-www-form-urlencoded" \
--header "Accept: application/json" \
--data "grant_type=client_credentials" | jq -r '.access_token')
curl --header "Authorization: Bearer ${ACCESS_TOKEN}" \
--header "Accept: application/vnd.atlas.2023-11-15+json" \
-X GET "https://cloud.mongodb.com/api/atlas/v2/orgs?pretty=true"
If your organization requires an IP access list for the Atlas Administration API, the token can be created from any IP address, but the API call that uses the token must originate from an allowed IP.
To learn more, see Get Started with the Atlas Administration API. For support, see MongoDB Support.
You can also explore the various endpoints available through the Atlas Administration API in MongoDB's Postman workspace (requires a Postman account).
This is version 2.0 of this API documentation. Last update on Apr 1, 2026.
This API is provided under license CC BY-NC-SA 3.0 US.